package _jheadstart;

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import oracle.jsp.el.*;
import javax.servlet.jsp.el.*;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import javax.servlet.ServletConfig;
import oracle.jbo.server.ConnectionPoolManagerFactory;
import javax.servlet.ServletException;
import oracle.jbo.pool.ResourcePool;
import javax.servlet.http.HttpServlet;
import oracle.jbo.pool.ResourcePoolManager;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class _DumpConnectionPoolStatistics extends com.orionserver.http.OrionHttpJspPage {


  // ** Begin Declarations


  // ** End Declarations

  public void _jspService(HttpServletRequest request, HttpServletResponse response) throws java.io.IOException, ServletException {

    response.setContentType( "text/html");
    /* set up the intrinsic variables using the pageContext goober:
    ** session = HttpSession
    ** application = ServletContext
    ** out = JspWriter
    ** page = this
    ** config = ServletConfig
    ** all session/app beans declared in globals.jsa
    */
    PageContext pageContext = JspFactory.getDefaultFactory().getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
    // Note: this is not emitted if the session directive == false
    HttpSession session = pageContext.getSession();
    int __jsp_tag_starteval;
    ServletContext application = pageContext.getServletContext();
    JspWriter out = pageContext.getOut();
    _DumpConnectionPoolStatistics page = this;
    ServletConfig config = pageContext.getServletConfig();
    javax.servlet.jsp.el.VariableResolver __ojsp_varRes = (VariableResolver)new OracleVariableResolverImpl(pageContext);

    try {


      out.write(__oracle_jsp_text[0]);
      
          ResourcePoolManager poolMgr = (ResourcePoolManager)ConnectionPoolManagerFactory.getConnectionPoolManager();
          String poolname = request.getParameter("poolname");
          if (poolname == null || poolname.equals("")) {
            Enumeration keys = poolMgr.getResourcePoolKeys();
            if (keys != null) {
              out.println("<h3>List of Active Connection Pools</h3>");
              out.println("<ul>");
              while (keys.hasMoreElements()) {
                String s = (String)keys.nextElement();
                out.println("<li><code><a href='DumpConnectionPoolStatistics.jsp?poolname="+
                s+"'>"+s+"</a></code></li>");
              }
              out.println("</ul>");
            }
            else {
              out.println("No pools.");
            }
          }
          else {
            out.println("<h3>Pool Statistics for Pool '"+poolname+"'</h3>");
            out.println("<a href='DumpConnectionPoolStatistics.jsp'>Back to Pool List</a>");
            out.println("<hr><blockquote><pre>");
            ResourcePool pool =  (ResourcePool)poolMgr.getResourcePool(poolname);
            pool.dumpPoolStatistics(new PrintWriter(out));
            out.println("</pre></blockquote>");
          }
      
      out.write(__oracle_jsp_text[1]);


    }
    catch( Throwable e) {
      if (!(e instanceof javax.servlet.jsp.SkipPageException)){
        try {
          if (out != null) out.clear();
        }
        catch( Exception clearException) {
        }
        pageContext.handlePageException( e);
      }
    }
    finally {
      OracleJspRuntime.extraHandlePCFinally(pageContext,false);
      JspFactory.getDefaultFactory().releasePageContext(pageContext);
    }

  }
  private static final char __oracle_jsp_text[][]=new char[2][];
  static {
    try {
    __oracle_jsp_text[0] = 
    "\r\n<html>\r\n  <head><title>DumpConnectionPoolStatistics</title></head>".toCharArray();
    __oracle_jsp_text[1] = 
    "\r\n".toCharArray();
    }
    catch (Throwable th) {
      System.err.println(th);
    }
}
}
